<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>
<xsl:variable name="outputEncoding">utf-8</xsl:variable>
  <xsl:template match="TEI.2">
    <html>
     <head>
<style type="text/css">
<xsl:comment>
<xsl:value-of select="document('styles.xml')//*"/>
</xsl:comment>
</style>
  <title><xsl:value-of select="teiHeader/fileDesc/titleStmt/title"/></title>
      </head>
      <body>

<!-- Start HTML presented front matter -->
<p style="font-size:18pt; text-align:center"><xsl:value-of select="teiHeader/fileDesc/titleStmt/title"/></p>
<p style="font-size:16pt; text-align:center"><xsl:value-of select="teiHeader/fileDesc/titleStmt/author"/></p>

<!--end HTML presented front matter -->

        <xsl:apply-templates select="text/body"/>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="body">


    <hr/>
 
    <xsl:apply-templates select="div1"/>

<!-- Creative Commons License -->

<hr/>
<p style="text-align:center"><a href="http://creativecommons.org/licenses/by-nc-sa/1.0"><img
  alt="Creative Commons License" src="http://creativecommons.org/images/public/somerights.gif"/></a> </p>
 <p style="text-align:center">This document is licensed under a <a
  href="http://creativecommons.org/licenses/by-nc-sa/1.0">Creative
  Commons License</a></p>

 <!-- /Creative Commons License -->
</xsl:template>

 
  <!-- Header and Front -->
 <xsl:include href="TEIHeader-web.xslt"/>

<!-- Xref (1) To select a bracketed URL -->

  <xsl:template match="xref[@type='url']">
   <xsl:variable name="url" select="."/>
<a href="{$url}"><xsl:apply-templates/></a>
    
    </xsl:template>

<!-- Xref (2) To take the rend attribute as the URL to be appled to bracketed text -->

  <xsl:template match="xref[@rend]">
    <xsl:variable name="hlink" select="@rend"/>

<a href="{$hlink}"><xsl:apply-templates/></a>
    
    </xsl:template>

<!-- Beginning of modified endnote handling templates -->

  <xsl:include href="endnote-handler-web.xslt"/>

  <!-- global body formatting -->
  <xsl:include href="global-body.xslt"/>
</xsl:stylesheet>
