<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>
<xsl:variable name="outputEncoding">utf-8</xsl:variable>
  <xsl:template match="TEI.2">
    <html>
     <head>
<style type="text/css">
<xsl:comment>
body {color: black;
background-color: #ffffcc;
font-family: "Times New Roman"; 
font-size: small;
margin-left: 5%; margin-right: 5%}
p.indented {text-indent:12mm; margin-top: 0; margin-bottom: 0}
p.blockquote {margin-left:10mm; margin-top:1em; margin-bottom:1em; text-indent:0mm; margin-right:2mm}
p.note {font-size:small; margin-left:0; margin-top:1em; margin-bottom:0; text-indent:0mm}
p.notesblockquote {font-size:small margin-left:10mm; margin-top:1em; margin-bottom:1em; text-indent:0mm; margin-right:8mm}
p.head1 {margin-left:0; font-size:large;
 font-style:italic;margin-bottom:0.5em}
p.head1web {margin-left:0; font-size: large; margin-bottom:0.5em}
p.hangInd {text-indent:-10mm;margin-left:10mm;
 line-height:8mm;margin-top: 0; margin-bottom: 0}
li {margin-bottom: 0}
a:link {text-decoration: none}
table {margin-left:auto; margin-right:auto}
</xsl:comment>
</style>
  <title><xsl:value-of select="teiHeader/fileDesc/titleStmt/title"/></title>
      </head>
      <body>
<p><a href="index.html">top page</a></p>
<!-- Start HTML presented front matter -->
    <xsl:apply-templates select="text/front"/>

<!--end HTML presented front matter -->

        <xsl:apply-templates select="text/body"/>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="body">

  
<xsl:apply-templates select="div1"/>

<!-- MB 2003-03-21 
* This invokes the display of the footnote contents. The current placing
* means they appear as the very last thing, but that can be altered
* NB This is the sort of thing that <xsl:foreach> is really meant for.
* We gather as set of nodes (here the footnotes) and iterate over them
* i.e. do the same thing to each of them, one by one. The crucial thing
* is that our apply-templates sets the "shownotes" mode. This means
* that the nodes are handled not by the default note-handling template,
* but by the special "shownotes" one. See the actual note templates
* below for further explanation.
-->
<hr/>


<!-- Footnote rendering invocation ends-->

<!-- Creative Commons License -->

 <!-- /Creative Commons License -->
</xsl:template>

  <!-- Divs to TOC-->
  <xsl:include href="divhandler-web.xslt"/>

  <!-- Header and Front -->
 <xsl:include href="TEIHeader-yogacara-site.xslt"/>

<!-- Xref (1) To select a bracketed URL -->

  <xsl:template match="xref[@type='url']">
   <xsl:variable name="url" select="."/>
<a href="{$url}"><xsl:apply-templates/></a>
    
    </xsl:template>

<!-- Xref (2) To take the rend attribute as the URL to be appled to bracketed text -->

  <xsl:template match="xref[@rend]">
    <xsl:variable name="hlink" select="@rend"/>

<a href="{$hlink}"><xsl:apply-templates/></a>
    
    </xsl:template>

<!-- Beginning of modified endnote handling templates -->

  <xsl:include href="endnote-handler-webonly.xslt"/>

  <!-- global body formatting -->
  <xsl:include href="global-body.xslt"/>
</xsl:stylesheet>
